#
# spec file for package rubygem-activemerchant
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activemerchant
Version:        1.74.0
Release:        1.1
%define mod_name activemerchant
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://activemerchant.org/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Framework and tools for dealing with credit card transactions
License:        MIT
Group:          Development/Languages/Ruby

%description
Active Merchant is a simple payment abstraction library used in and sponsored
by Shopify. It is written by Tobias Luetke, Cody Fauser, and contributors. The
aim of the project is to feel natural to Ruby users and to abstract as many
parts as possible away from the user to offer a consistent interface across
all supported gateways.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Oct 26 2017 coolo@suse.com
- updated to version 1.74.0
  see installed CHANGELOG
  == Version 1.74.0 (October 24, 2017)
  * Adyen: Update list of supported countries [dtykocki] #2600
  * Authorize.net CIM: Handle multiple error messages [amandapuff] #2537
  * Barclaycard Smartpay: Pass street and house_number fields, in addition to standard address [deedeelavinder] #2603
  * Barclaycard Smartpay: Use authorization pspReference for refunds [davidsantoso] #2599
  * Beanstream: Pass email fields without address [curiousepic] #2615
  * Beanstream: Support recurringPayment for auth, capture, and purchase transactions [dtykocki] #2617
  * Borgun: Add support for USD transactions [dtykocki] #2602
  * Borgun: Include currency code from split authorization for voids [dtykocki] #2605
  * Checkout V2: Expose AVS and CVV results for purchases [dtykocki] #2619
  * Credorax: Update response codes [curiousepic] #2595
  * CyberSource: Support 3DSecure requests [curiousepic] #2624
  * Ebanx: Pass person_type and name for stored cards [curiousepic] #2621
  * Ebanx: Support Store and person_type option [curiousepic] #2604
  * Elavon: Update endpoint URLs [curiousepic] #2608
  * Netbanx: Fix basic auth by sending the account_number and api_key [anotherjosmith] #2616
  * Payeezy: Adds support for store [deedeelavinder] #2591
  * PayU Latam: Set payment_country gateway attribute [curiousepic] #2611
  * Redsys: Support the DKK currency type [bpollack] #2618
  * WePay: Only send ip and device for non-recurring transactions [dtykocki] #2597
* Wed Oct 11 2017 coolo@suse.com
- updated to version 1.73.0
  see installed CHANGELOG
  == Version 1.73.0 (September 28, 2017)
  * Adyen: Use original authorization pspReference on Refunds [lyverovski] #2589
  * Braintree Blue: Explicitly require braintree-ruby version 2.78 [anotherjosmith]
  * FirstData E4: Scrub 3DS cryptogram [jasonwebster] #2596
  * PayHub: Replace single quotes with double quotes in error message [matthewheath] #2572
  * Wirecard: Format non-fractional currency amounts correctly [bdewater] #2594
* Thu Sep 21 2017 coolo@suse.com
- updated to version 1.72.0
  see installed CHANGELOG
  == Version 1.72.0 (September 20, 2017)
  * Adyen: Fix failing remote tests [dtykocki] #2584
  * Authorize.net: Remove numeric restriction on customer ID [dtykocki] #2579
  * Authorize.net: Restore default state value for non-US addresses [jasonwebster] #2563
  * Beanstream: Do not default state and zip with empty country [dtykocki] #2582
  * Braintree Blue: Add eci_indicator field for Apple Pay [davidsantoso] #2565
  * Conekta: Add guard clause for details fallbacks [curiousepic] #2573
  * Conekta: Pull required details from billing address [nfarve] #2568
  * DataCash: Enable refunding recurring transactions [davidsantoso] #2560
  * Ebanx: Adds Brazil Specific Parameters [nfarve] #2559
  * Kushki: Add support for refunds [dtykocki] #2575
  * MercadoPago: Additional tweaks for transaction requests [davidsantoso]
  * MercadoPago: Default to alphanumeric order_id [davidsantoso]
  * MercadoPago: Send diners_club cards as diners [davidsantoso] #2585
  * PayU Latam: Correctly condition buyer element fields [curiousepic] #2578
  * PayU Latam: Pass unique buyer fields and country requirements [curiousepic] #2570
  * Qvalent: Support general credit [curiousepic] #2558
  * SafeCharge: Update to Version 4.1.0 [nfarve] #2556
  * WePay: Don't default API version header [curiousepic] #2567
  * WePay: Don't require email for Store [curiousepic] #2588
* Mon Aug 28 2017 coolo@suse.com
- updated to version 1.71.0
  see installed CHANGELOG
  == Version 1.71.0 (August 22, 2017)
  * Bambora formerly Beanstream: Change casing on customerIp variable [aengusbates] #2551
  * Checkout V2: Add localized_amount support to add_invoice function [nicolas-maalouf-cko] #2452
  * Checkout V2: Add UAE to country list [shasum] #2548
  * Checkout V2: Fix success response code validation [nicolas-maalouf-cko] #2452
  * CreditCall: Only allow AVS when specified [curiousepic] #2549
  * CreditCall: Parse additional params from responses [nfarve] #2552
  * CreditCall: Parse more response params [nfavre] #2543
  * MercadoPago: Small tweaks to building requests [davidsantoso] #2555
  * Orbital: Support Network Tokenization Credit Cards [curiousepic] #2553
  * Orbital: Updgrade schema version to 7.1 [curiousepic] #2546
  * Remove HUF from default non-fractional currencies [curiousepic] #2538
  * Stripe: Add support for statement_address parameters for EMV transactions [malcolm-mergulhao] #2524
  * TransFirst Express: Don't send address2 without value [nfarve] #2545
  * TransFirst Express: Fix Optional Fields Being Passed Blank [nfarve] #2550
  * TransFirst: Fix partial refund [nfarve] #2541
  * Vantiv (Litle): Pass 3DS fields [curiousepic] #2536
  == Version 1.70.0 (August 4, 2017)
  * Barclaycard Smartpay: Provider a default billing address house number [nfarve] #2520
  * FirstData E4: Fix duplicate XID and CAVV values in tokenized transactions [jasonwebster] #2529
  * FirstData E4: Loose XSD validation for Payeezy (FirstData E4) [jasonwebster] #2529
  * GlobalTransport: Support partial authorizations [dtykocki] #2511
  * Litle: Update schema and certification tests to v9.12 [curiousepic] #2522
  * Litle: Update urls and name to Vantiv [curiousepic] #2531
  * Mercado Pago: Add gateway support [davidsantoso] #2518
  * Orbital: Add support for level 2 data [dtykocki] #2515
  * PayU Latam: Pass DNI Number [curiousepic] #2517
  * Qvalent: Pass 3dSecure fields [curiousepic] #2508
  * SafeCharge: Correct UserID field name [curiousepic]
  * SafeCharge: Pass UserID field [curiousepic] #2507
  * AuthorizeNet: Allow Response Code 4 to be returned as successful [nfarve] #2530
  * Forte: Remove order number from captures in Forte Gateway [nfarve] #2532
  * PayU Latam: Add additional mandatory fields [deedeelavinder] #2528
* Thu Aug  3 2017 coolo@suse.com
- updated to version 1.69.0
  see installed CHANGELOG
  == Version 1.69.0 (July 12, 2017)
  * WePay: Add payer_rbits and transaction_rbits optional fields [davidsantoso]
  * Adyen: Use Active Merchant standard order_id option for reference [jasonwebster] #2483
  * Correct calculation for three-exponent currencies [curiousepic] #2486
  * SagePay: Use VPSTxId from authorization for refunds [dtykocki] #2489
  * Payflow: Move PAYPAL-NVP header option to a class attribute on the payment gateway [deuxpi] #2492
  * Optimal Payments: Pass CVD indicator accurately [curiousepic] #2491
  * SagePay: Make Repeat purchase if payment is a past authorization [curiousepic] #2495
  * Netbanx: map response errorCodes onto standard error code [iirving] #2456
  * Netbanx: Update supported countries and cardtypes [iirving] #2456
  * Barclaycard Smartpay: Support 0- and 3-exponent currencies [curiousepic] #2498
  * CyberSource: Fix XSD schema validation issues [jasonwebster] #2497
  * WorldPay: Support three-decimal currencies [curiousepic] #2501
  * NMI: Add first and lastname to echeck transactions [dtykocki] #2499
  * PayFlow: Add optional email field [davidsantoso] #2505
  * Worldpay: Support Credit on CFT-enabled merchant IDs [curiousepic] #2503
  * FirstPay: Add processor_id field [davidsantoso] #2506
  == Version 1.68.0 (June 27, 2017)
  * Authorize.Net: Return failed response if forced refund settlement fails [bizla] #2476
  * Authorize.net: Concatenate address1 and address2 [dtykocki] #2479
  * Braintree Blue: Braintree Blue: Add ECI indicator to Android Pay transactions [davidsantoso] #2474
  * Credorax: Support 0- and 3-exponent currencies [curiousepic]
  * Cybersource: update supported card types [bdewater] #2477
  * FirstData: Add a default network tokenization strategy for FirstData E4 [krystosterone] #2473
  * FirstPay: FirstPay: Update hostname and force TLSv1 minimum [davidsantoso] #2478
  * JetPay V2: Support store transactions and token based payments [shasum] #2475
  * Moneris: Add 3DS fields for decrypted Apple and Android Pay data [davidsantoso] #2457
  * Openpay: Send customer name and email in authorize and purchase [dtykocki] #2468
  * Payflow: Moved to name value pair (NVP) with payflow [jusleg] #2462
  * Payflow: Set PAYPAL_NVP header as optional [davidsantoso] #2480
  * QuickPay V10: Return last response for purchase and authorize [curiousepic] #2461
  * SafeCharge: Map billing address fields [davidsantoso] #2464
  * SafeCharge: Track currency from original transaction [davidsantoso] #2470
  * Support three-decimal currencies [curiousepic] #2466
  * Trexle: Add gateway support [hossamhossny] #2351
* Tue Jun 13 2017 coolo@suse.com
- updated to version 1.67.0
  see installed CHANGELOG
  == Version 1.67.0 (June 8, 2017)
  * Acapture: Pass 3D Secure fields [davidsantoso] #2451
  * Authorize.net: Pass Level 2 Data Fields [curiousepic] #2444
  * Credorax: Add 3D Secure authentication fields [davidsantoso] #2446
  * Ebanx: Add gateway support [davidsantoso] #2447
  * Ebanx: Reduce supported countries to Brazil and Mexico [davidsantoso]
  * FirstData Payeezy: Set default ECI value for auth/purchase transactions [jasonwebster] #2448
  * JetPay V2: Add new gateway [shasum] #2442
  * JetPay V2: Add optional tax data to capture calls [shasum] #2445
  * NMI: Add Network Tokenization support [shasum] #2431
  * Orbital: Pass soft descriptors from options hash [curiousepic]
  * Orbital: Update test and production urls [jcowhigjr] #2436
  * Payeezy: Add client_email field for telecheck [davidsantoso] #2455
  * Payeezy: Add customer_id_type and customer_id_number fields [davidsantoso] #2454
  * Quickpay V10: Fix store and token use for recurring payments [wsmoak] #2180
* Tue May 23 2017 coolo@suse.com
- updated to version 1.66.0
  see installed CHANGELOG
  == Version 1.66.0 (May 4, 2017)
  * Support Rails 5.1 [jhawthorn] #2407
  * ProPay: Add Canada as supported country [davidsantoso]
  * ProPay: Add gateway support [davidsantoso] #2405
  * SafeCharge: Support credit transactions [shasum] #2404
  * WePay: Add scrub method [shasum] #2406
  * iVeri: Add gateway support [curiousepic] #2400
  * iVeri: Support 3DSecure data fields [davidsantoso] #2412
  == Version 1.65.0 (April 26, 2017)
  * Adyen: Add Adyen v18 gateway [adyenpayments] #2272
  * Authorize.Net: Force refund of unsettled payments via void [bizla] #2399
  * Barclays ePDQ: removed because it has been replaced by a new API [bdewater] #2331
  * Beanstream: Map ISO province codes for US and CA [shasum] #2396
  * Braintree Blue: Change :full_refund option to :force_full_refund_if_unsettled [bizla] #2403
  * Braintree Blue: Force refund of unsettled payments via void [bizla] #2398
  * Checkout V2: Fix sandbox URL [nicolas-maalouf-cko] #2391
  * Checkout V2: Fix success_from not properly checking two possible success codes [davidsantoso]
  * Cybersource: Rescue XML parse exception [shasum] #2380
  * GlobalCollect: Make message and error reporting more robust [curiousepic] #2370
  * GlobalCollect: Set REJECTED refunds as unsuccessful transactions [davidsantoso] #2365
  * GlobalCollect: Truncate firstName field to 15 characters [davidsantoso]
  * JetPay: Pass down authorization payment method token to refund a capture [davidsantoso]
  * Openpay: Support card points [shasum] #2401
  * Orbital: Don't send CVV indicator if CVV is not present [curiousepic] #2368
  * PayU LATAM: Fix incorrect capture method definition [davidsantoso]
  * Payeezy: Support dynamic soft descriptors [shasum] #2384
  * Pin: Add metadata optional field [shasum] #2363
  * Qvalent: Add soft descriptor fields. Add authorize, capture, and void [davidsantoso]
  * SafeCharge: Add gateway [davidsantoso]
  * SagePay: Support Repeat transactions [curiousepic] #2395
  * Stripe: Support custom application in X-Stripe-Client-User-Agent header [davidsantoso]
  * TransFirst Transaction Express: Support ACH [curiousepic] #2389
  * WePay: Support unique_id for idempotent transactions [shasum] #2367
  * Worldpay: Force refund of unsettled payments via void [bizla] #2402
* Tue Mar  7 2017 coolo@suse.com
- updated to version 1.64.0
  see installed CHANGELOG
  == Version 1.64.0 (March 6, 2017)
  * Authorize.net: Allow settings to be passed for CIM purchases [fwilkins] #2300
  * Authorize.net: Use new `unsupported_feature` standard error code [jasonwebster] #2322
  * Base Gateway: Add new `unsupported_feature` standard error code [jasonwebster] #2322
  * Braintree Blue: Pass cardholder_name with card [curiousepic] #2324
  * Braintree: Add Android Pay meta data fields [jknipp] #2347
  * CardStream: Add additional of currencies [shasum] #2337
  * Credorax: Return failure response reason [shasum] #2341
  * Digitzs: Add gateway [davidsantoso]
  * Digitzs: Remove merchant_id from gateway credentials [davidsantoso]
  * GlobalCollect: Pass options to Refund [curiousepic] #2330
  * Kushki: Add new gateway [shasum] #2326
  * Kushki: Remove body from void call [shasum] #2348
  * Linkpoint: Raise ArgumentError when trying to instantiate without `:pem` [jasonwebster] #2329
  * Omise: Enable Japan, JPY and JCB support [zdk] #2284
  * PayU LATAM: Count pending refunds as succeeded [curiousepic] #2336
  * PayU LATAM: Let Refund take amount value [curiousepic] #2334
  * Paymill: Send new required fields on tokenization requests [tschelabaumann] #2279
  * Revert "Authorize.net: Allow settings to be passed for CIM purchases" [curiousepic] #2339
  * Sage: Default billing state when outside US [shasum] #2340
  * Stripe: Remove idempotency key from verify [shasum] #2335
  * TransFirst Transaction Express: Don't send order_id with refunds [curiousepic] #2350
  * TransFirst Transaction Express: Fix improper AVS and CVV response code mapping [shasum] #2342
  * WePay: Update API version [shasum] #2349
  * USA ePay Advanced: Add quick_update_customer action [joshreeves] #2229
* Fri Feb  3 2017 coolo@suse.com
- updated to version 1.63.0
  see installed CHANGELOG
  == Version 1.63.0 (February 2, 2017)
  * Authorize.net: Add #unstore support [jimryan] #2293
  * AuthorizeNet: Fix line items quirk [shasum]
  * CardStream: Add dynamic descriptor option fields [curiousepic]
  * CardStream: Support PEN currency [shasum]
  * Culqi: Add new gateway [shasum]
  * CyberSource: Add Lebanon to supported countries [shasum]
  * Element: Add AVS and CVV codes to response [shasum]
  * Firstdata E4 (Payeezy): Set correct ECI value for card present swipes [jasonwebster] #2318
  * GlobalCollect: On purchase skip capture if not required [davidsantoso]
  * PaymentExpress: Update supported countries [shasum]
  * Remove leading or trailing whitespace from credit card name [davidsantoso]
  * Remove support for Ruby 2.0 [jasonwebster]
  * Secure Pay AU: Add scrubbing support to Secure Pay AU [bruno] #2253
  * Stripe: Fix error in handling of track-only contactless EMV data [jasonwebster]
  * Vanco: Update test URL [davidsantoso]
  * WePay: Build fee structure correctly [curiousepic]
  * WePay: Remove null address fields from request [davidsantoso]
  * WePay: Update WePay to API version 2016-12-07 [davidsantoso]
  * Wirecard: Send customer data in requests [davidsantoso]
  * Worldpay: Add session id attribute [shasum]
  * Worldpay: Do not default address when not provided [shasum]
* Tue Dec  6 2016 coolo@suse.com
- updated to version 1.62.0
  see installed CHANGELOG
  == HEAD
  == Version 1.62.0 (December 5, 2016)
  * AuthorizeNet: Map to standard AVSResult codes [shasum]
  * CitrusPay: Add 3DSecureId field [davidsantoso]
  * CyberSource: Only get alpha2 country code when it's a known country [bruno] #2238
  * Fat Zebra: Add scrubbing to Fat Zebra gateway [bruno] #2037
  * Monei: Add US and CA as new supported countries [davidgf] #2209
  * NAB Transact: Add scrubbing to NAB Transact [bruno] #2038
  * iATS: Add scrubbing support to iATS [bruno] #2228
  * Stripe: Ensure ECI values for tokenized cards are padded [jasonwebster] #2250
  * Forte: Fix incorrect authorization_code response mapping [davidsantoso]
  * maxiPago: Send currency with request [curiousepic]
  * Credorax: Map order_id to field H9 [curiousepic]
  * Authorize.net: Remove duplicate country GB [shasum]
  * PayU Latam: Add processWithoutCvv2 field [shasum]
  * Fat Zebra: De-nest soft descriptor fields [curiousepic]
  * Credorax: Only pass c5 field for billing address1 [davidsantoso]
  * Orbital: Add support for CLP currency [curiousepic]
  * Authorize.net: Add line item fields and additional transaction settings [shasum]
  * Authorize.net: Pass through `header_email_receipt` [shasum]
  * Stripe: Scrub additional network tokenization related sensitive data [jasonwebster] #2251
  * Applying: Worldpay: Format non-fractional currency amounts correctly [jasonwebster] #2267
* Tue Nov  8 2016 coolo@suse.com
- updated to version 1.61.0
  see installed CHANGELOG
  == Version 1.61.0 (November 7, 2016)
  * Add codes AQ, BQ, SX, and SS to list of countries and update SD numeric code [zxlin]
  * AuthorizeNet: Update supported countries list [shasum]
  * Barclay SmartPay: Add support for credit [shasum]
  * Barclaycard SmartPay: Update supported countries [shasum]
  * BluePay: Add Canada to supported countries list [shasum]
  * BlueSnap: Update countries list [shasum]
  * Braintree Blue: Add Android Pay support [mrezentes]
  * Braintree Blue: Add remote test to verify card token [shasum]
  * Braintree Blue: Get Android Pay tx id from payment method, not options [mrezentes]
  * CardStream: Add MXN currency code [curiousepic]
  * CardStream: Set captureDelay to zero on purchase [davidsantoso]
  * CitrusPay: Add gateway [duff]
  * CitrusPay: Update URL to current API version [davidsantoso]
  * Clearhaus: Fix refund of captures [duff]
  * Clearhaus: Update list of non fractal currencies [curiousepic]
  * Clearhaus: Use localized amount [curiouspic]
  * Conekta: Add void action [MauricioMurga]
  * Credorax: Add gateway support [davidsantoso]
  * CyberSource, Paymill, Payflow: Add verify_credentials [duff]
  * CyberSource: Combine auth_reversal with Void [curiousepic]
  * CyberSource: Increase merchant defined data fields [davidsantoso]
  * CyberSource: Look up alpha2 country code [curiousepic]
  * CyberSource: Use localized_amount [curiousepic]
  * Element: Pass order_id and shipping address [curiousepic]
  * Fat Zebra: Add cavv, xid, and sli fields [curiousepic]
  * Fat Zebra: Fix improper descriptor nesting [curiousepic]
  * Find countries if they are differently cased [curiousepic]
  * GlobalCollect: Update credit card brand list [curiousepic]
  * Jetpay: Support endpoint for Canada [shasum]
  * Linkpoint: Clean whitespace from PEM [curiousepic]
  * Litle: Retain amount to send in auth reversals [curiousepic]
  * Litle: add scrubbing support [bruno]
  * MONEI: Update supported countries list [davidgf]
  * MiGS: Handle IDR currency [curiousepic]
  * Migs: Add support for void [mohsenottello]
  * Migs: Support some additional fields [duff]
  * Moneris: Fix unit test stubs [shasum]
  * Moneris: add scrubbing support [bruno]
  * NMI, FirstData: Support verify_credentials [curiousepic]
  * Openpay: Add support for verify [duff]
  * PayJunctionV2: Add gateway support [shasum]
  * PayU Latam: Add new gateway [shasum]
  * PayU Latam: Update supported countries list [shasum]
  * Payflow: Update supported countries list [shasum]
  * PaypalExpress: Add SoftDescriptor field [talyssonoc]
  * Redsys: Added DOP and CRC currency [davidsantoso]
  * Sage: Add support for scrubbing [bruno]
  * SagePay: Fix truncation [duff]
  * SecurionPay: Update supported countries list [shasum]
  * Stripe: Increase authorize amount during verify [davidsantoso]
  * Stripe: Set minimum authorize amount depending on currency [davidsantoso]
  * Stripe: Support new network tokenization API params [methodmissing]
  * Stripe: Update supported countries list [shasum]
  * TNS and CitrusPay: Support scrub and verify_credentials [duff]
  * TNS and CitrusPay: Update to version 36 of the API [duff]
  * TNS: Try TLS v1 [duff]
  * Telr: Add gateway support [curiousepic]
  * TransFirsTransactionExpress: Remove blank cvv element [davidsantoso]
  * TransFirsTransactionExpress: Take into account blank string CVV [davidsantoso]
  * Vanco: Improve handling of success determination [duff]
  * Worldpay: Add hcgAdditionalData element [davidsantoso]
  * Worldpay: Report error code [curiousepic]
* Tue Jul  5 2016 coolo@suse.com
- updated to version 1.60.0
  see installed CHANGELOG
  == Version 1.60.0 (July 4, 2016)
  * Orbital: Fix CC num leak on profile calls [drewblas]
  * VisaNetPeru: Add ability to refund [duff]
  * AuthorizeNet: Fix store using new profile [duff]
  * Clearhaus: Support private key for signature [curiousepic]
  * Clearhaus: Copy private_key when stripping [curiousepic]
  * CertoDirect: Remove gateway [shiroginne]
  * Braintree: Extra error messaging [jordan-brough]
  * AuthorizeNetCim: Set error code for AuthorizeNetCimGateway response [ka8725]
  * Quickpay v10: Remove amount requirement for store [curiousepic]
  * PSLCards: correct namespace in doc for Response object from ActiveRecord::Billing to ActiveMerchant::Billing [CJ Keeney]
  * Pagar.me: Add pagar.me [chrisenytc]
  * Stripe: Update Readme to show stripe support [rhlrjv]
  * Orbital: Add support for the BRL currency [duff]
  * GlobalTransport: Require TLSv1 [duff]
  * Openpay: Allow currency to be specified [darkaz]
  * DataCash: Use API version 2 [curiousepic]
  * Stripe: Support verify_credentials [duff]
  * AuthorizeNet: Support verify_credentials [duff]
  * BraintreeBlue: Support verify_credentials [duff]
  * Redsys: Added SAR currency [agseco]
  * QuickPay: Adding customer_ip for authorize action in quickpay [dinesh]
  * MaxiPago: add void and refund [shasum]
  * MaxiPago: Allow processor_id override [duff]
  * Stripe: Interpret string input to store method as token identifier [bizla]
  * MaxiPago: Add verify and scrub [shasum]
  * Stripe: Remove metadata restriction from EMV transactions [bizla]
  * SagePay: Add optional fields to SagePay requests [cristianstanescu]
  * CyberSource: Assign default with override for billing address and email [shasum]
  * CyberSource: Assign default order_id [duff]
  * TNS: Support asia_pacific endpoint [curiousepic]
  * TransFirsTransactionExpress: Fix exception [duff]
  * CyberSource: Add decision manager optional fields [shasum]
  * CyberSource: Add decision manager optional fields [shasum]
  * TNS: Add support for TLS v1.2 [curiousepic]
  * QuickpayV7: Default description field for store operation [duff]
  * Elavon: Support customer_number field [duff]
  * Map test_mode_live_card code to new standard error code [berkcaputcu]
  * Elavon: Pass customer_number correctly [duff]
  * Stripe: add SG to supported_countries attribute [timbeiko]
* Thu May 19 2016 coolo@suse.com
- updated to version 1.59.0
  see installed CHANGELOG
  == Version 1.59.0 (May 18, 2016)
  * Orbital: Allow AVS parts to be sent sans country [duff]
  * SecureNet: Return the right error message for declines [duff]
  * Moneris: Add verify [anellis]
  * Moneris: Add verify [anellis]
  * Jetpay: Add support for origin field[anellis]
  * Jetpay: Don't default origin field [duff]
  * GlobalCollect: New gateway support [curiousepic]
  * Openpay: Use strict_encode64 [duff]
  * Sage: Always pass along the billing state [duff]
  * VisaNet Peru: New gateway support [shasum]
  * Worldpay: Allow installationId to be specified at transaction time [duff]
  * SecurionPay: Support store [shasum]
  * Barclaycard Smartpay: Proper AVS return codes [curiousepic]
  * VisaNetPeru: Pass through CVV [duff]
  * Barclaycard Smartpay: Use strict_encode64 [duff]
  * VisaNetPeru: Fix error when billing address empty [shasum]
  * Vanco: Update live_url [duff]
  * Cardstream: Reference purchase [curiousepic]
  * Paymill: Fix error handling [methodmissing]
  * Latitude19: New gateway support [shasum]
  * BraintreeBlue: remove invalid test assertions [prburke]
  * Merchant e-Solutions: Pass order_id with capture [curiousepic]
  * CyberSource: Add rescue for ResponseErrors [curiousepic]
  * AuthorizeNet: Always pass recurringBilling flag if present [curiousepic]
  * S5: Pass order_id to TransactionID [curiousepic]
  * NMI: Set ACH sec_code from options if present [curiousepic]
  * VisaNet Peru: Refactor merchant_id and purchase_number handling [shasum]
  * Braintree Blue: Pass descriptor_url field [curiousepic]
  * VisaNet Peru: Add merchant_define_data option [duff]
  * Merchant e-Solutions: pass optional 3Dsecure params [curiousepic]
  * NMI: Fix refunds and voids of echecks [duff]
  * VisaNet Peru: Pass dummy email when not present [curiousepic]
  * PayU India: Add Maestro as supported card [curiousepic]
  * Cashnet: Don't retry [duff]
  * CardStream: Make Void call Cancel instead of Refund [curiousepic]
  * Remove AN and KV country codes as they're not recognized by ISO-3166-1 [apdunston]
  * Worldpay: Pass unchanged amount with correct currency exponent [curiousepic]
  * Improve our handling of currencies sans fractions [duff]
  * Stripe: Added support for the contactless magstripe entry mode option [rbalsdon]
  * VisaNet Peru: Change money format to dollars [shasum]
  * BlueSnap: Add gateway [duff]
  * VisaNet Peru: Select the most meaningful gateway error message [shasum]
  * SecurionPay: Update country list [duff]
  * Support for BIN 2 MasterCard brand detection [rbalsdon]
  * CardStream: Fix signature calculation [duff]
  * CyberSource: Update test and live URL [marquisong]
  * AuthorizeNet: Truncate nameOnAccount field [duff]
  * Tns: Fix ipAddress field [duff]
  * WorldNet: New gateway support [varyonic]
  * BraintreeBlue: Allow channel override [duff]
  * MerchantWarrior: Use Truncated Order Id [ThereExistsX]
* Wed Mar  2 2016 coolo@suse.com
- updated to version 1.58.0
  see installed CHANGELOG
  == Version 1.58.0 (March 1, 2016)
  * Move Electron check out of CreditCard into CreditCardMethods [ThereExistsX]
  * CardStream: Add AED and NZD currencies [sdball]
  * App55: Remove Gateway [ThereExistsX]
  * Mercury: Stripping the start and end sentinels on card-present track data for max-length track1 requests [ryanbalsdon]
  * SagePay: Update VISA Electron ranges [sdball]
  * Clearhaus: Make request signing more transparent & robust [sdball]
  * NCRSecurePay: Fix production URL [rwdaigle]
  * Add ACH support to Stripe [sdball]
  * PayPal Express: Fixing list of currencies without fractions [Krystosterone]
  * Cashnet: Default custcode option and proper redirect handling [rwdaigle]
  * TransFirst: Fix missing address and remove CC only fields for ACH [davidsantoso]
  * More prominent links to contribution docs [rwdaigle]
* Tue Feb  2 2016 coolo@suse.com
- updated to version 1.57.0
  see installed CHANGELOG
  == Version 1.57.0 (February 1, 2016)
  * AuthorizeNetCim: Add unmaskExpirationDate option [RamilGilmanov]
  * Element: Add gateway support [davidsantoso]
  * Cardstream: 3D-secure capture fix [duff]
  * Auth.net: Update store to create payment profiles [davidsantoso]
  * CyberSource: Add support for mdd_fields [duff]
  * Worldpay: Add support for verify [davidsantoso]
  * Element: Add guard clause to handle undocumented errors [davidsantoso]
  * Clearhaus: Add tests for signed requests [anellis]
  * Stripe: Support adding cards to account [anellis]
  * Clearhaus: Add text_on_statement option [anellis]
  * Payeezy: Void and verify support [davidsantoso]
  * Creditcall: Use ecommerce rather than cnp [duff]
  * Payeezy: Add support for echecks [davidsantoso]
  * Bridgepay: Add ability to store cards and pay with token [anellis]
  * Initial support for Android Pay network tokenization cards [mrezentes]
  * Transfirst: Fix exception when not all eCheck information is present [davidsantoso]
  * Auth.net: Add tests for echeck refunds [davidsantoso]
  * Transfirst: use default values for some eCheck data [davidsantoso]
  * Element: Update the live URL endpoint [davidsantoso]
  * Element: Parse responses from unexpected API errors [davidsantoso]
  * Transfirst: Remove unused fields for echeck [davidsantoso]
  * Sage: Internal refactoring into a single gateway class w/ common http conn [anellis]
  * Cardstream: Adjust authorize and capture transactions [anellis]
  * NCRSecurePay: New gateway support (Monetra white-label) [rwdaigle]
  * Element: Map ReferenceNumber to order_id [duff]
  * Element: Use a better MotoECICode default [duff]
  * BraintreeBlue: Return transaction id for failed transactions when available [prburke]
  * PayPal: Add InContextPaypalExpressGateway [xuorig]
  * TransFirst: CVV is a required tag [duff]
  * Checkout V2: Add Descriptor Name and City Options [anellis]
  * Forte: Pass order_id [anellis]
  * Merchant ESolutioins: Truncate order_id [anellis]
  * Transfirst Transaction Express: New gateway support [sdball]
  * Stripe: Add `stripe_account` header option [anellis]
  * Cardstream: Add AVS code and message [anellis]
  * Barclaycard Smartpay: New gateway support [curiousepic]
* Wed Dec  2 2015 coolo@suse.com
- updated to version 1.56.0
  see installed CHANGELOG
  == Version 1.56.0 (December 1, 2015)
  * Add Cardknox gateway [dlehren]
  * Mercury: Add support for card present track 2 [ryanbalsdon]
  * Cardstream: Improve default currency handling [duff]
  * Mercury: Strip start and end sentinels on track 2 [ryanbalsdon]
  * Redsys: Support new SHA256 authentication method [davidsantoso]
  * Cashnet: Allow custcode override [duff]
  * Add Rails 5 support [rafaelfranca]
  * Set required Ruby version for install to 2 or greater [rafaelfranca]
  * JetPay: Pass ud_fields in capture too [duff]
  * Stripe: Correctly detect test mode refunds [aprofeit]
  * Fix variables in remote gateways test template [sdball]
  * Micropayment: Update fieldnames for new API [duff]
  * Fix CreditCard#valid_number? erroring on non-digit characters [PatrickTulskie]
  * Stripe: Correctly detect test mode voids [methodmissing]
  * Garanti: Add test mode URL and update remote test credentials [cbilgili]
  * Cashnet: Allow custcode override on refund [duff]
  * Omise: Add a new optional api_version config [zdk]
  * Elavon: Include IP address in purchase and authorize requests [aprofeit]
  * TransFirst: Add support for ACH and more operations [davidsantoso]
  * FirstData_e4: Fix void for even dollar transactions [duff]
* Wed Nov 11 2015 coolo@suse.com
- updated to version 1.55.0
  see installed CHANGELOG
  == Version 1.55.0 (November 9, 2015)
  * CyberSource: send customer IP address when provided [fastjames]
  * Braintree: Simplify Braintree scrubbing when no transcript [duff]
  * AuthorizeNet: Allow market_type override [duff]
  * FirstData_e4: Support level_2 data [duff]
  * FirstData_e4: Fix level_2 and level_3 [duff]
  * MerchantWareFour: Use Void not PreAuthorizationVoid [duff]
  * JetPay: Allow partial captures [duff]
  * Creditcall: Fix production url [duff]
  * FirstData_e4: Fix float error in Void [duff]
  * Micropayment: Upgrade to new API [mrezentes]
  * Netbilling: Add order_id to user_info [mrezentes]
  * Stripe: scrub swipe/track, EMV data out of gateway transcripts [girasquid]
  * Remove integration_mode [mattfawcett]
  * Allow setting CVV requirement at instance level [fabiokr]
  * Add SecurionPay gateway [szajbus]
  * AuthorizeNet: Don't send currency to void [duff]
  * Add Komoju gateway [k2nr]
  * Replace Connection magic numbers with constant references [larrylv]
  * Add CAMS gateway [trevorgrayson]
  * PayPal Express: Fix AllowedPaymentMethod [edclements]
  * Litle: Store credit card from PayPage [dontmatta]
  * Orbital: Deprecate profile management API [ntalbott]
  * FirstData e4: Honor currency when supplied [tchill]
  * Authorize.net: Add config_error standard error code [andrewpaliga]
  * PayPal Express: Add support for TotalType in SetExpressCheckout [gingerhendrix]
  * eWay Rapid: Add :invoice option [DylanFM]
  * Braintree: Add nonce payment method [eric1234,cwoodcox]
  * Payflow: Allow passing of 3D Secure details via options [marquisong]
  * Elavon: Support capture via CCCOMPLETE without credit card [marquisong]
  * Securenet: Allow setting test_mode independently [wedstar]
  * Replace Base.integration_mode and Base.gateway_mode with just Base.mode [aprofeit]
  * Micropayment: Allow specification of a project [duff]
  * QuickpayV10: Truncate order_id [duff]
  * FirstData_e4: Fix Level 2 data [duff]
  * Remove some duplication around name handling [duff]
  * FirstData_e4: Support Tax1Number [duff]
  * Add Transact Pro gateway [varyonic]
  * Add Payeezy gateway [huoxito]
  * USAePay: Add test mode setting via options [marquisong]
  * Add Clearhaus gateway [dinesh]
  * WorldpayOnlinePayments: Fix logic to determine success [ao]
  * Paymill: store order_id in description field [nikoloff]
  * TWD isn't a zero decimal currency [duff]
  * PaypalExpress: Use custom zero decimal currencies [duff]
  * Stripe: Migrate from /refund to /refunds [matthelm]
  * Bogus: Adding basic EMV support [ryanbalsdon]
  * PayBox Direct: Refunds and working test credentials [ivanfer]
  * Vanco: Handle case of no billing_address [duff]
  * BluePay: Add support for CUSTOM_ID2 field [ajporterfield]
* Sat Oct  3 2015 coolo@suse.com
- updated to version 1.54.0
  see installed CHANGELOG
  == Version 1.54.0 (October 2, 2015)
  * Beanstream: Add Network Tokenization support [girasquid]
  * CenPOS: Allow order_id on void [duff]
  * Provide better insight to CVV usage in requests [davidsantoso]
  * Ogone: Add verify [duff]
  * Beanstream: Add verify [mrezentes]
  * PayPal: Map standard error codes [JakeCataford]
  * Checkout.com: Fix an issue with empty phone numbers. [anotherjosmith]
  * Quickpay: Edit store and add ability to purchase with stored card [anellis]
  * Stripe: Set `receipt_email` to Stripe request if receipt delivery is requested [miccheng]
  * Worldpay US: Add eCheck support [mrezentes]
  * FirstData_e4: add level_3 data [mrezentes]
  * Vanco: Support passing ip address [duff]
  * Paybox Direct: Currency parsing fix [ivanfer]
  * QuickpayV10: Remove currency requirement from store. [anellis]
  * Raven: Use TLS 1.2 endpoint [bslobodin]
* Wed Sep  2 2015 coolo@suse.com
- updated to version 1.53.0
  see installed CHANGELOG
  == Version 1.53.0 (September 1, 2015)
  * Redsys: Add a number of currencies [agseco]
  * Raven: update description, test url, and routing; fix tests [bslobodin]
  * Raven: do not pass default (incorrect) PaymentType to #void [bslobodin]
  * Add scrubbing to a number of gateways [anellis]
  * BluePay: Add scrubbing [anellis]
  * BraintreeBlue: Allow custom logger [duff]
  * MerchantWareFour: Truncate invoiceNumber [duff]
  * S5: Pass recurrence_mode in store [duff]
  * QuickPay: Support 2-letter country codes in V10 API [girasquid]
  * Stripe: Support validate:false field on store [anellis]
  * CheckoutV2: Use correct live_url [duff]
  * QuickPay: strip # from Order IDs before submission [girasquid]
  * Litle: Use schema version 9.4 rather than 8.18 [anellis]
  * Litle: Add decrypted apple_pay [anellis]
  * QuickPay: fix method signature on #void [girasquid]
  * Forte: Add gateway [davidsantoso]
  * Stripe: return refund id for refund authorization [anellis]
  * Paypal: Update api version [anellis]
  * TNS: Translate countries to alpha3 codes [anellis]
  * TNS: Handle non existent country [duff]
  * TNS: Rescue Errors [anellis]
  * CenPOS: Support avs_result and cvv_result [tjstankus]
  * Stripe: Add application fee only on non-EMV transactions [bizla]
  * Stripe: don't send blank, non-nil values [girasquid]
  * Ogone: Send different auth type for mastercard [anellis]
  * Cardstream: Add "type" field support [rwdaigle]
  * Cardstream: 3dsecure transaction option [rwdaigle]
  * Paystation: Map order_id to non-unique merchant reference field [anellis]
  * Cardstream: Check for nil street address [anellis]
  * Checkout.com and CheckoutV2.com: Update country list [duff]
  * Cardstream: Handle nil addresses [rwdaigle]
  * MiGS: Allow passing in currency [alovak]
  * [POSSIBLE BREAKAGE] NMI: No longer use auth.net emulator [rwdaigle]
  * SecureNet: Add DEVELOPERID if supplied [wedy]
  * Braintree: Update country list [duff]
  * NMI: Don't include dup_seconds if nil [rwdaigle]
  * QuickPay: Make all operations to v10 platform synchronous [ta]
  * QuickPay: Handle issue where no operations exists on payment [ta]
  * NMI: Support merchant_defined_fields [duff]
  * QuickpayV10: Add verify [anellis]
  * BraintreeBlue: Use wiredump_device for logging only if present [braintreeps]
  * QuickpayV10: Add scrubbing [anellis]
  * QuickPayV10: Change tests to point to proper gateway [anellis]
  * Monei: Add default options argument [davidgf]
  * Ogone: Add additional 3d-secure parameters [ntalbott]
  * Ogone: Refactor signature calculation [ntalbott]
  * Add Creditcall gateway [davidsantoso]
  * Redsys: Fix scrubbing for failed transactions [davidsantoso]
  * Micropayment: Support Micropayment gateway [rwdaigle]
  * USAePay: Use names from the given billing and shipping address [marquisong]
  * Stripe: Add application fee on EMV authorize calls [bizla]
* Tue Jul 21 2015 coolo@suse.com
- updated to version 1.52.0
  see installed CHANGELOG
  == Version 1.52.0 (July 20, 2015)
  * Authorize.Net: Add device type to authorize.net retail requests [abecevello]
  * Vanco: Change transaction type to WEB for echecks [duff]
  * PayPal: Allow soft descriptor to be specified [davidsantoso]
  * Authorize.net: Add disable_partial_auth field [anellis]
  * SagePay: Add apply_avscv2 field [anellis]
  * S5: Add Store [anellis]
  * Merchant Ware v4: Add support for verify [davidsantoso]
  * Mercury: No longer default to allow partial auth [duff]
  * PayPal: Fix soft_descriptor and support soft_descriptor_city [duff]
  * Merchant Ware: Add scrubbing [davidsantoso]
  * Stripe: Make purchase via vaulted card consistent [duff]
  * Moneris: Add network tokenization support [andrewpaliga]
  * Ogone: Allow specifying a timeout value for requests [tomhipkin]
  * PayU India: Increase allowed txnid to 30 characters [ntalbott]
  * Authorize.Net: Allow passing device type through options, make wireless POS the default [abecevello]
  * Authorize.Net: Update to new Akamai URL [taf2]
  * Braintree: Add hold_in_escrow [anellis]
  * Stripe: Allow purchases with tokens without customer specification [bizla]
* Fri Jul  3 2015 coolo@suse.com
- updated to version 1.51.0
  see installed CHANGELOG
  == Version 1.51.0 (July 2, 2015)
  * Garanti: Illegal character '&' parsing response [masaruhoshi]
  * Stripe: Revert force USD for verify [duff]
  * Litle: Surface XML validation errors in the response [jasonbosco]
  * Litle: Pass the credit card verification value for tokenization (#store) requests, if one is set. [jasonbosco]
  * S5: Make scrubbing regex less greedy [duff]
  * CardStream: Add support for verify [anellis]
  * Authorize.net: UTF-8 encode requests [duff]
  * Banwire: Add default email [anellis]
  * PayU India: Handle bad JSON [ntalbott]
  * Dibs: Pass CVC param only if there's a value [bruno]
  * Sage: Credit really is credit not refund [duff]
  * Sage: Add ability to refund [duff]
  * Cardstream: Add scrubbing [anellis]
  * Litle: Add debt_repayment_flag [duff]
  * iATS: Support ACH [rwdaigle]
  * CheckoutV2: Add Gateway [anellis]
  * CenPOS: Fix refund amount issue [duff]
  * Add error_code mapping and error_code_from to gateway generator [jnormore]
  * Stripe: Parse EMV ARC from error response [bizla]
  * Redsys: Add MYR currency [agseco]
  * Add "contactless" flag to credit card model [davidseal]
  * Stripe: Add "contactless" flag support to gateway [davidseal]
  * Add encrypted_pin data to credit card model [ryanbalsdon]
  * Stripe: Add encrypted_pin support to gateway [ryanbalsdon]
  * Stripe: Support mapping advanced decline codes to standard codes [abecevello]
  * Epay: filter out invalid characters in returned URLs [dwradcliffe]
  * Redsys: Strip leading zeroes from currency codes [agseco]
  * Authorize.net: Add invoice information to refund [marquisong]
  * Authorize.net: Add store ability [duff]
  * Paystation: Add refund [mrezentes]
  * Paystation: No longer require order_id everywhere [duff]
  * Checkout: Support descriptor_name and descriptor_city [duff]
  * Add supports_network_tokenization? to gateways [jnormore]
* Tue Jun  2 2015 coolo@suse.com
- updated to version 1.50.0
  see installed CHANGELOG
  == Version 1.50.0 (June 1, 2015)
  * Vanco: Add gateway [duff]
  * Conekta: Move device fingerprint to root [MauricioMurga]
  * Conekta: Change default language to Spanish [MauricioMurga]
  * Vanco: Improve authentication handling [duff]
  * Vanco: Allow specification of fund_id [duff]
  * S5: Add gateway [davidsantoso]
  * SecureNet: Truncate order_id [duff]
  * [POSSIBLE BREAKAGE] Stripe: Be explicit about API version [duff]
  * Dibs: Add gateway [mrezentes]
  * Dibs: Rubyize merchant_id and secret_key [mrezentes]
  * Stripe: Add support for reverse_transfer [duff]
  * USA ePay: Add support for manual entry indicator [AnotherJoSmith]
  * Authorize.Net: Add support for manual entry indicator [AnotherJoSmith]
  * CenPOS: Change description to invoice_detail [mrezentes]
  * BPoint: Add gateway [tjstankus]
  * S5: Remove address requirement for purchase and authorize [davidsantoso]
  * Vanco: Add support for eChecks [duff]
  * Remove Adyen support [ntalbott]
  * CenPOS: Use ProcessCreditCard action [duff]
  * CASHnet: uri encode the merchant gateway name [mrezentes]
  * S5: Include card brand in request body [davidsantoso]
  * Vanco: Handle multiple error responses [duff]
  * Merchant Partners gateway support [rwdaigle]
  * BPoint: Update params to contain all response data [tjstankus]
  * BPoint: Support biller_code in options [tjstankus]
  * Sagepay: Add Verify [anellis]
  * S5: Build XML with UTF-8 encoding [tjstankus]
  * Cashnet: Handle unparsable response body [duff]
  * CenPOS: Allow specification of customer_code [duff]
  * Allied Wallet: Add gateway [anellis]
  * S5: set Regex closure on scrubbing method [davidsantoso]
  * Dibs: Require TLSv1 [duff]
  * Optimal: Handle case of no billing address [duff]
  * Omise: Add gateway [zdk]
  * CenPOS: Simplify currency handling [duff]
  * Beanstream: Don't treat redirect as success [aprofeit]
  * Add PayU India gateway [ntalbott]
  * NetBilling: Require TLSv1 [duff]
  * S5: Handle recurring transactions without CVV [davidsantoso]
  * Stripe: Force USD for verify [duff]
  * PayU India: Prevent shadowing in response parsing [ntalbott]
  * QuickPay: Add support for v10 API [ta]
  * Fat Zebra: Fix refund and store signatures [duff]
  * Fat Zebra: Allow transactions without a CVV [duff]
* Sat May  2 2015 coolo@suse.com
- updated to version 1.49.0
  see installed CHANGELOG
  == Version 1.49.0 (May 1, 2015)
  * Braintree: Add support for AVS error codes [ivanvfer]
  * MerchantWarrior: Truncate description field [duff]
  * Braintree: Add service_fee_amount option [duff]
  * SecureNet: Allow shipping_address[:name] [duff]
  * MonerisUS: Add verify [mrezentes]
  * Ezic: Add gateway [duff]
  * Stripe: Add destination field [cwise]
  * SecureNet: Fix ordering of shipping field names [duff]
  * SecurePayAu: Update API URL [girasquid]
  * Stripe: Add EMV "chip & sign", "chip & offline PIN" and Maestro support [bizla]
  * Add Errno::EHOSTUNREACH to NetworkConnectionRetries::DEFAULT_CONNECTION_ERRORS [randito78]
  * Stripe: Add support for idempotency keys [michaelherold]
  * WePay: Handle JSON::ParserError exceptions [duff]
  * Borgun: Update country list and homepage url [mrezentes]
  * AuthorizeNet: Add cvv to request only if it's valid [tjstankus]
  * Stripe: Bug fix: add amounts only on non-EMV transactions, temporarily omit EMV testcases [bizla]
  * Ezic: Add support for void [duff]
  * iATS: Update supported countries [mrezentes]
  * Ezic: Update supported countries [duff]
  * AuthorizeNet: Truncate card number [tjstankus]
* Thu Apr  9 2015 coolo@suse.com
- updated to version 1.48.0
* Fri Feb 27 2015 coolo@suse.com
- updated to version 1.47.0
* Sun Feb  8 2015 coolo@suse.com
- updated to version 1.46.0
  * CHANGE: drop `offsite_payments` and `active_utils` as dependencies. [wvanbergen]
  * CHANGE: remove `OffsitePaymentShim`. You will have to add offsite_payments as a dependency,
  and update any mentions of `ActiveSupport::Billing::Integration` to
  `OffsitePayments::Integrations`. [wvanbergen]
  * QuickBooks Payments: Add adapter [ivanfer, bizla]
  * Quickbooks: Remove requirement of oauth gem.
  * PayGate: Add support for refunds [StephanAtG2]
  * PayPal: Add #scrub for scrubbing PCI information out of HTTP transcripts [girasquid]
  * Stripe: Add #scrub for scrubbing PCI information out of HTTP transcripts [girasquid]
  * Cybersource: Add ability to verify a card [duff]
  * BraintreeBlue: Expose the error code in the response params [duff]
  * eWay Rapid: Update supported countries and card types [incarnate]
  * PayPal: Allow specifying ButtonSource at init [ntalbott]
  * Payflow: Add fraud_review support [ntalbott]
  * Add IPP gateway [InfraRuby]
  * Redsys: Fix order_id truncation [duff]
  * AuthorizeNet: Improve duplicate_window handling [duff]
  * PayPal: Fix ButtonSource bug [ntalbott]
  * Checkout: Prevent multiple trackids from being passed [markabe]
  * Pin: Handle JSON parsing exception in response [duff]
  * Improve test suite to test against multiple ActiveSupport versions [wvanbergen]
  * Misc. code cleanup [wvanbergen]
* Wed Nov 12 2014 coolo@suse.com
- updated to version 1.44.1, see CHANGELOG
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 21 2014 coolo@suse.com
- updated to version 1.43.3
  * Netregistry: Use updated URL [bslobodin]
* Sun Jul 13 2014 coolo@suse.com
- updated to version 1.43.1
  * Merchant Warrior: Scrub names [duff]
  * Validate Gateway.supported_countries [rwdaigle]
  * Stripe: Add recurring flag support [bslobodin]
  * Stripe: Use localized amounts for currencies w/o minor units [bslobodin]
  * WebPay: Leverage fixes to Stripe to remove duplicate code [bslobodin]
  * Klarna: Miscellanenous fixes [edward]
  * Mollie iDEAL: Use order's description [wvanbergen]
  == Version 1.43.0 (April 24, 2014)
  * PagSeguro: New offsite integration [celsodantas]
  * Sage Pay: Fix amount parsing in notifications [berkcaputcu]
  * Sage Pay: Use API v3.00 [bslobodin]
  * BridgePay: Switch method of success detection [markabe]
  * BridgePay: Use Return as TransType for refunds [markabe]
  * IATS: Complete rewrite using first class API [rwdaigle]
  * IATS: Fix invalid country code UK -> GB [rwdaigle]
  * DataCash: Fix refund processing using original authorization [bslobodin]
  * Transnational gateway renamed to Network Merchants [bslobodin]
  * PayMill: Handle non-JSON server responses [bslobodin]
  == Version 1.42.9 (April 15, 2014)
  * Spreedly: Add ip, description and gateway_specific_fields [faizalzakaria]
  * Sage (US): Support store/unstore of cards [rwdaigle]
  * Pin: Add american express to supported cards [nagash]
  * Raven: Update handling of CVV/AVS [bslobodin]
  * Raven: Use UUID for RequestID [bslobodin]
* Sun Apr  6 2014 coolo@suse.com
- updated to version 1.42.8
  * Cecabank: Handle invalid xml response body [duff]
  * Wirecard: Capture error code in the response [duff]
  * Litle: Remove gem dependency [duff]
  * Litle: Fix case of missing address parts [duff]
  * Universal: Add universal offsite API implementation [bslobodin]
  * Iridium: Add more currencies [bslobodin]
  * iDeal: Add Mollie iDeal offsite implementation [wvanbergen, maartenvg]
* Fri Mar 21 2014 coolo@suse.com
- updated to version 1.42.7
  * SagePay: Add support for ReferrerID [markabe]
  * Cecabank: Fix expiration date formatting [duff]
  * Add WePay gateway [faizalzakaria]
  * SmartPs: Add ECI option to SmartPs [odorcicd]
  * Rescue and re-raise ActionViewHelperError when offsite helpers raise an error [odorcicd]
  * Add FirstGiving gateway [faizalzakaria]
  * FirstGiving: Fix refunds [ntalbott]
  * Samurai: Handle server errors [ntalbott]
  * WePay: Fix refund [duff]
* Sat Mar 15 2014 coolo@suse.com
- updated to version 1.42.6
  * Litle: Truncate order_id [duff]
  * Conekta: Fix #refund; respect :currency [leofischer]
  * SagePay: Truncate description field [duff]
  * Add Cecabank gateway [molpe]
  * Add Openpay [darkaz]
  * Openpay: Simplify test versus production mode [duff]
  * Wirecard: Handle a utf-8 description [duff]
  * Litle: Partial capture support [ttdonovan]
  * Ogone: Allow D3D for alias purchases [pwoestelandt]
  * USAePay Advanced: Fix verification_value mapping [dppcode]
  * Orbital: Add additional success conditions [boone]
  * Orbital: Handle special CVV responses [boone]
  * Balanced: Allow working with balanced.js [michaelherold]
  * Balanced: Allow passing customer name [michaelherold]
  * Balanced: Add support for meta [michaelherold]
  * Improve gateway generator [ntalbott]
  * Add maxiPago gateway [alexandremcosta]
  * Authorize.Net: Remove x_test_request support [ntalbott]
  * Conekta: Add default description [bslobodin]
  * Add PayDollar integration [bslobodin]
* Sun Feb 23 2014 coolo@suse.com
- updated to version 1.42.5
  * Add Doku Indonesia [bizla]
  * Cardstream: Update gateway to use latest API [odorcicd]
  * DataCash: Set 'ecomm' as capturemethod [DavidGeukers]
  * Cybersource: Fix subscriptions with a setup fee [ntalbott]
  * Stripe: Do not pass customer details to the /cards endpoint [michellebu]
  * Stripe: Allow Stripe API version to be initialized with the gateway [odorcicd]
* Sat Dec 21 2013 coolo@suse.com
- updated to version 1.42.3
  * Balanced: Add support for appears_on_statement_as [duff]
  * Authorize.Net: Make already actioned responses failures [odorcicd]
  * Add Payex gateway [atomgiant]
  * Paymill: Fix authorizations [duff]
  * Braintree Blue: Allow specifying the credit card token [ntalbott]
  * Braintree Blue: Allow specifying the customer id [ntalbott]
  * Braintree Blue: Scrub invalid emails and zips [ntalbott]
  * Braintree Blue: Return :credit_card_token as a top level param [ntalbott]
  * Braintree Blue: Allow unstoring just a credit card [ntalbott]
  * Braintree Blue: #store adds cards to existing customers [ntalbott]
  * USA ePay Advanced: Fix check handling [nearapogee]
  * USA ePay Advanced: Fix credit card expiration handling [nearapogee]
  * USA ePay Advanced: Fix handling of custom transaction responses for single items [nearapogee]
  * USA ePay Advanced: Fix capture amount [nearapogee]
  * NAB Transact: Fix merchant descriptor with capture/refund requests [nagash]
  * Braintree Blue: Add custom_fields & device_data parameters [parallel588]
  * Webpay: Add authorize & capture [keikubo]
  * MerchantWarrior: Pass description [duff]
  * Stripe: Separate email from description [duff]
  * Add Payscout gateway [llopez]
  * Merchant Warrior: Use billing_address [duff]
  * Add SoEasyPay gateway [ir-soeasycorp]
  * Bogus: Add check support [npverni]
  * Payflow: Add Check support [crazyivan]
  * Stripe: Allow expanding objects inline [odorcicd]
  * Renew public certificate
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.42.2
  * Fix NoMethodError "tr" for params with dash [TimothyKlim]
  * Authorize.Net: Add cardholder authentication options (CAVV) support [structure]
  * CardStreamModern: Added better checks on inputs from the gateway [ExxKA]
  * Stripe: Send :ip to the gateway instead of :browser_ip [f3ndot]
  * Wirecard Page: new offsite gateway [mbretter]
  * Mercury: Add support for requesting a token [kcdragon]
  * Add App55 gateway [ianbutler55]
  * UsaEpayTransaction: Support for split payments [GBH]
  * Add Swipe Checkout gateway [matt-optimizerhq]
  * Spreedly Core: Allow overriding the gateway token when running a transaction [hoenth]
  * Spreedly Core: Add order_id [hoenth]
  * Spreedly Core: Allow store without retain [hoenth]
  * Stripe: Support multiple cards on account [pierre]
  * Stripe: Add card_id parameter to unstore call [pierre]
  * Remove usage of `uname -a` [ntalbott]
  * Litle: Allow easier access to the response code [duff]
  * Stripe: Add the option to pass a version header [odorcicd]
  * Elavon: Update supported countries [duff]
  * Add Raven PacNet gateway [llopez]
  * BitPay: Fix BitPay issues and implement Notification#acknowledge [odorcicd]
* Thu Oct 31 2013 coolo@suse.com
- updated to version 1.41.0
  * Stripe: Payments won't fail when specifying a customer with a creditcard number [melari]
  * Add Conekta gateway [leofischer]
  * Wirecard: Add support for void and refund [duff]
  * Orbital: Mandatory field fix [juicedM3, jduff]
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.40.0
  * Paymill: Revert Add support for specifying the :customer [melari]
  * Quickpay: Make v7 of the API default [kvs]
  * Bitpay: Add return [tahnok]
* Sun Oct 13 2013 coolo@suse.com
- updated to version 1.39.2
  * Eway Rapid: Fix a bug with access codes that have equal signs in them [odorcic]
* Thu Oct 10 2013 coolo@suse.com
- updated to version 1.39.1
  * Bitpay: Invoice Fix [orenmazor]
  == Version 1.39.0 (October 9th, 2013)
  * Moneris: Add optional (off by default) verification_value support [duff]
  * Citrus: New Integration [viatechs, melari]
  * Payu Paisa: New Integration [melari]
  * Spreedly: Pass country with other address fields [hoenth]
  * SecureNet: Fix order of xml params [duff]
  * Paymill: Add support for void [duff]
  * Add MoneyMovers gateway [jeffutter]
  * Ogone: Add a :store_amount option [rymai]
  * Ogone: Require TLSv1 [ntalbott]
  * Moneris: Add support for purchasecorrection [pgib]
  * Spreedly: Add ability to retain on success [duff]
  * Spreedly: Pass verification value [duff]
  * Paymill: Add support for specifying the :customer [Sbastien]
  * Realex: Correct AVS input format [ExxKA]
  * USAEpay Transaction: Use sandbox when in test mode [radar]
  * Braintree Blue: Do not use global config [rdj]
  * eWay Rapid: Add response messages [BenZhang]
  * Paysbuy: Add 'Pending' notification status [divineforest]
  * Cybersource: Use standard :phone field [cade]
  * Orbital: Fix/tweak AVS codes [boone]
  * Quickpay: Add v7 support [larspind]
  * Authorize.Net CIM: Add option to not mark transactions as test [alanandrade]
* Mon Sep 23 2013 coolo@suse.com
- updated to version 1.38.1
  * Moneris: Remove verification_value support [melari]
* Sat Sep  7 2013 coolo@suse.com
- updated to version 1.38.0
  * FirstData E4: Include missing address information for AVS and CVV [melari]
  * Litle: Deprecate credit method in favor of refund [melari]
  * Moneris: Add verification_value support [duff]
  * Webpay: Fixes issues with partial JPY currency [keikubo, melari]
  * SecureNet: Add INVOICENUM and INVOICEDESC optional fields [duff]
  * Balanced: Make BalancedGateway::Error inherit from ActiveMerchantError [duff]
  * Balanced: Fix #void interface [duff]
  * HiTrust: Return correct error message for positive retcodes [melari]
  * Moving to pessimistic versioning [davefp]
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.37.0
  * MerchantWarrior: Fix handling of amounts [duff]
  * Ipay88: New gateway [kamal, siong1987, jduff]
  * IATS: New gateway [unkown, jduff]
  * MerchantWarrior: Send the CVV to the gateway [duff]
  * PayU: Fix a major bug with status types [melari]
  * SecureNet: Allow production transactions [duff]
  * Stripe: Allow a card_not_present_fee to be specified [melari]
* Tue Aug  6 2013 coolo@suse.com
- updated to version 1.36.0
  * Fat Zebra: More consistent handling of tokens [adrianmacneil]
  * Add Platron integration [alexwl]
  * Litle: Support wiredump_device [pierre]
  * Litle: support paypage registrations [pierre]
  * SecureNet: Cleanup and refactoring [duff]
  * Mercury: Proper refund and void support [opendining]
  * PaymentExpress: Return token in authorization [ntalbott]
  * Stripe: Support for partial application fee refunds [melari, odorcicd]
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.35.1
  * Stripe: Allow application_fees to be refunded via the refund_application_fee flag [melari]
  == Version 1.35.0 (July 17, 2013)
  * Add Barclays ePDQ Extra Plus gateway [ntalbott]
  * PayPal: Add MassPay payment to recipients by UserID [damonmorgan]
  * Authorize.Net: Add authorization_code to response params [noahlh]
  * Make Rails 4 a supported version [sanemat]
  * CyberSource: Add pinless debit card support [JoshMcKin]
  * Verkkomaksut: Add item title field [kaapa]
  * Add MerchantWare V4 gateway [hron]
  * Eway Rapid: Add #store method [adrianmacneil]
  * Barclays ePDQ Extra Plus: Use correct PROD url [ntalbott]
  * Hitrust: update test & live urls [melari]
  * NAB Transact: Add auth & capture support [nagash]
  * Mercury: Support card-less capture and refund [ntalbott]
  * Mercury: Support void [ntalbott]
* Sun Jul 21 2013 coolo@suse.com
- updated to version 1.34.1
  * WorldPay: Add dynamic return URL [jordanwheeler]
  * Merchant One: New gateway [coteyr, melari]
  * Balanced: Fix exception for invalid email [duff]
  * Update supported countries for Paymill & PaymentExpress [duff]
  * Worldpay: Add support for diners club [duff]
  * Stripe: Include address with card data [melari]
  == Version 1.34.0 (June 20, 2013)
  * PayPal Express gateway: Add unstore support [duff]
  * Stripe: Send application_fee with capture requests [melari]
  * Make #unstore method signature consistent across gateways [duff]
  * Dwolla: Major bug fixes. [capablemonkey, melari]
  * Stripe: Add support for including track data [melari]
  == Version 1.33.0 (May 30, 2013)
  * Netaxept: Completely revamped to use the "M" service type [rbjordan3, ntalbott]
  * Litle: Void authorizations via an auth reversal [jrust]
  * Add RBK Money integration [england]
  * Direcpay: Update test url [ashish-d]
  * PayPal Express gateway: Add support for creating billing agreements [fabiokr]
  * PayPal Express gateway: Add reference authorizations [fabiokr]
  * Add Cardstream Modern gateway [ExxKA]
  * Pin: Fix special headers [duff]
  * PayPal Express gateway: Remember the billing agreement id as Response#authorization [duff]
  * PayPal Express gateway: Allow an amount of 0 [duff]
  * PayPal Express gateway: Reduce parameter requirements [duff]
  * Quickpay integration: Update notification parser to handle API v6 [larspind]
  * Sage gateway: Deprecate #credit call [duff]
  * Update notification generator to better match current notification class [lulalala]
  * Paymill gateway: Change .com -> .de [louiskearns]
  * Quickpay integration: Fix v6 response parsing [larspind]
  * First Data e4: Add TransArmor store/tokenization support [gabetax]
  * MerchantWarrior: Format expiration month/year correctly [klebervirgilio]
  * Add iconv for ActiveSupport 2.3 under Ruby 2.0 [sanemat]
  * Add Transnational gateway [bvandenbos]
  * Authorize.Net: Add Check as payment method [andrunix]
  * Merchant e-Solutions: Add ref number and recurring support [carlaares]
  * Bogus gateway: Add authorization to purchase response [hron]
  * Bluepay gateway: Fix Check support; general cleanup [ntalbott]
  * Dwolla: Fix security issues and enable guest checkout [capablemonkey, schonfeld]
  * SagePay gateway: Per-transaction 3D-secure selection [ExxKA]
  * Barclays ePDQ: Handle incorrectly encoded response [jordanwheeler, aprofeit]
  * Orbital: Bug fixes; add CustomerEmail, Retry Logic, Managed Billing, and Destination Address [juicedM3
  * Distinguish invalid vs empty issue_numbers on CreditCards [drasch]
  * Float Gemfiles to latest Rails [sanemat]
  * USA ePay Advanced: Fix Check support [RyanScottLewis]
  * Authorize.Net: Match up Check fields better with eCheck.Net requirements [ntalbott]
  * Bluepay: Updated to bp20post api [cagerton, melari]
* Thu May  9 2013 coolo@suse.com
- updated to version 1.32.1
  * CC5 and Garanti: Remove $KCODE modifications [melari]
  * Paymill: Add support for store [ntalbott]
  * USA ePay: Fix misspelling of "Aduth" [joelvh, ntalbott]
  * Orbital: Fix nil address values throwing exceptions during truncation [melari]
  == Version 1.32.0 (April 1, 2013)
  * Optimal: Submit shipping address with requests [jduff]
  * Iridium: Enable reference transactions for authorize [ntalbott]
  * Stripe: Add authorize and capture methods [melari]
  * Pin: Add a default description if none is specified to fix failures [melari]
  * Litle: Add support for passing optional fields in token based transactions [forest]
  * Add Finansbank gateway [scamurcuoglu]
  * Paymill: Use .com instead of .de for save card url [besi]
  * Worldpay integration: Use more robust endpoint urls [nashbridges]
  * Braintree Blue: Return CC token in transaction hash [cyu]
  * Robokassa: Fix signature for empty amount [ukolovda]
  * Worldpay gateway: Fix error messages for some failures [duff]
  * Worldpay gateway: Allow settled payments to be refunded [dougal]
  * Spreedly: Update urls and terminology [duff]
  * Make card brand error more user friendly [oggy]
  * DataCash: Update test Mastercard number [jamesshipton]
  * DataCash: Update test response fixtures [jamesshipton]
  * Pin: Add Pin.js card token support [nagash]
  * PayPal Express gateway: Fix error when no address information is in response [pierre]
  * Ogone: Use BYPSP for ALIASOPERATION [ntalbott]
  * Paymill: Handle error storing card [duff]
  * SagePay integration: Add referrer field [melari]
  * Pin: Add extra headers [duff]
  * Paymill: Add support for store [ntalbott]
  * USA ePay Advanced: Fix typo in message credit card data options [joelvh]
  == Version 1.31.1 (February 25, 2013)
  * Cybersource: Bug fixes [natejgreene, jduff]
  == Version 1.31.0 (February 20, 2013)
  * Worldpay: XML encoding is required to be ISO-8859-1 [dougal]
  * Worldpay: Add card code for more supported card types [dougal]
  * Ogone: Add action option [pwoestelandt]
  * PayPal Express gateway: Add support for BuyerEmailOptInEnable [chrisrbnelson]
* Fri Dec 28 2012 coolo@suse.com
- initial package (version 1.29.3)
